(function ($, mf, localizedVars) {
	"use strict";
	const mfDisplay = {
		formID : 0,
		/**
	   * Function to initialize all necessary actions associated with current object.
	   */
		init: function() {

			// Initialize jQuery dependencies
			this.initDatePicker();
			this.initInputMask();

		},
		/**
	   * Initilization Functions.
	   */
		initDatePicker: function() {

			// Only load if datepicker library exists.
			if ( typeof $.fn.datepicker !== 'undefined' ) {
				$('.mform_fields').find('.datepicker-here').each(function() {
					let optionsObj	= {},
							dateFrom 		= $(this).attr('data-date-from'),
							dateTo 			= $(this).attr('data-date-to');

					optionsObj.language = 'en';
					// Set Min Date
					if( dateFrom  ){
						optionsObj.minDate = new Date(dateFrom + '-01-01');
					}else{
						optionsObj.minDate = new Date();
					}

					// Set Max Date
					if( dateTo  ){
						optionsObj.maxDate = new Date(dateTo + '-12-31');
					}else{
						optionsObj.maxDate = new Date();
						optionsObj.maxDate.setFullYear(optionsObj.maxDate.getFullYear() + 9)
					}

					let picker = $(this).datepicker(optionsObj);


				});
			}

		},
		initInputMask: function() {

			// Only load if mask library exists.
			if ( typeof $.fn.mask !== 'undefined' ) {

			}

		},
		/**
	   * Helper Functions.
	   */

	};

	/**
	 * Initialize conditional logic
	 */

	/**
	 * Initialize the rest after page load
	 */
	$( window ).load(function() {
		mfDisplay.init();
	});


})(jQuery, megaForms, mfVars);
